#include "Decor.h"

using namespace RenderSystem;
Decor::Decor(void)
{
	angle = 0.0f;
	armyColor[0] = 1.0f;
	armyColor[1] = 1.0f;
	armyColor[2] = 0.0f;
}

Decor::~Decor(void)
{
}

Point2D& Decor::getRenderableEntityPosition(){
	return position;
}

float Decor::getRenderableEntityAngle(){
	return angle;
}

void Decor::setPosition(Point2D& p){
	position = p;
}

void Decor::setAngle(float angle){
	this->angle = angle;
}

void Decor::setTexturePath(std::string& tex){
	texture = tex;
}

std::string& Decor::getTexturePath(){
	return texture;
}

void Decor::setupModel(Model* model, RegistredTexture* texture, int anim){
	model->initInstance(&this->modelInstance);
	this->modelInstance.rtex = texture;
	this->modelInstance.animState.nextAnim = anim;
	this->modelInstance.animState.nextFrame = 0;
}

bool Decor::haveLife()
{
	//un décor n'a pas de vie pour l'instant
	return false;
}

float Decor::getCurrentLife()
{
	return 0.0f;
}

bool Decor::isAlive(){
	return false;
}

